Draft WireToBSpline/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Draft WireToBSpline")
 
(Created page with "{{GuiCommand/de|Name=Draft WireToBSpline|Name/de=Draft WireToBSpline|Workbenches=Draft, Arch|MenuLocation=Drafting -> Wire to BSpline}}")
Line 1: Line 1:
{{GuiCommand|Name=Draft WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}
{{GuiCommand/de|Name=Draft WireToBSpline|Name/de=Draft WireToBSpline|Workbenches=[[Draft Module/de|Draft]], [[Arch Module/de|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}


==Description==
==Description==

Revision as of 11:46, 22 July 2014

Draft WireToBSpline

Menüeintrag
Drafting -> Wire to BSpline
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Description

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)